// チャットログとメッセージ入力フィールドの要素を取得
const chatLog = document.getElementById("chatLog");
const inputMessage = document.getElementById("inputMessage");

// WebSocketサーバーへの接続を開始
const socket = new WebSocket("ws://localhost:8084");

// WebSocket接続が開かれた時のイベントハンドラ
socket.onopen = (event) => {
    console.log("Connected to the WebSocket server");
};

// WebSocketからメッセージを受信した時のイベントハンドラ
socket.onmessage = (event) => {
    // 受信したメッセージを表示用のdiv要素に変換
    const entry = document.createElement('div');
    // 改行文字をHTMLの改行タグに置き換えて表示
    entry.innerHTML = event.data.replace(/\n/g, '<br/>');
    // チャットログに追加
    chatLog.appendChild(entry);
};

// WebSocketでエラーが発生した時のイベントハンドラ
socket.onerror = (error) => {
    console.error(`WebSocket Error: ${error}`);
};

// メッセージ送信用の関数
function sendMessage() {
    const message = inputMessage.value;
    // トリムしたメッセージが空でない場合に送信
    if (message.trim() !== "") {
        socket.send(message);
        console.log(message + "send")
        // 入力フィールドをクリア
        inputMessage.value = "";
    }
}